Subject: Re: [PATCH net v2] docs: netdev: document guidance on cleanup patches

From: Simon Horman <[email-masked]>
Date: Wed, 9 Oct 2024 13:50:21 +0100

On Wed, Oct 09, 2024 at 11:42:14AM +0200, Przemek Kitszel wrote:
> On 10/9/24 11:12, Simon Horman wrote:
> > The purpose of this section is to document what is the current practice
> > regarding clean-up patches which address checkpatch warnings and similar
> > problems. I feel there is a value in having this documented so others
> > can easily refer to it.
> > 
> > Clearly this topic is subjective. And to some extent the current
> > practice discourages a wider range of patches than is described here.
> > But I feel it is best to start somewhere, with the most well established
> > part of the current practice.
> > 
> > --
> > I did think this was already documented. And perhaps it is.
> > But I was unable to find it after a quick search.
> > 
> > Signed-off-by: Simon Horman <[email-masked]>
> 
> Looks like you wanted to say "please don't submit autogenerated clenups"

:)

> > ---
> > Changes in v2:
> > - Drop RFC designation
> > - Correct capitalisation of heading
> > - Add that:
> >    + devm_ conversions are also discouraged, outside the context of other work
> 
> devm_ is generally discouraged in netdev, so much that I will welcome
> the opposite cleanup :)
> 
> Your write-up on this is correct, no objections.
> 
> Perhaps we could say more about the status of the code that is fixed -
> Maintained/Odd fixes/Orphaned - I would don't touch anything below
> "Maintained" for good reason

I agree that there is room to expand on that.  But I would rather defer on
that, because, as mentioned by Jakub in his review of v1, that quickly
becomes quite subjective.

IOW, let's start with something and improve on it later.

...